/*
 *                      ..::PictoGame::..
 *
 * Copyright (C) Federico Vera 2010-2011 <dktcoding [at] gmail>
 *
 * PictoGame is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or any later
 * version.
 *
 * PictoGame is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package picto.app.interfaces;

/**
 *
 * @author Fido <dktcoding [at] gmail>
 */
public interface Focusable {
    /**
     * Gives focus to this element.<br>
     * It doesn't matter what the action is, as long as the button is
     * highlighted
     */
    public void giveFocus();
    
    /**
     * Undo the action done by giveFocus()
     */
    public void removeFocus();
}
